import { Component, Event, h, Prop } from '@stencil/core';
export class SAbdullakhProductPresentationImg {
    render() {
        return (h("div", { class: "presentationImg", style: { backgroundImage: "url(" + this.img.imgUrl + ")" }, onClick: () => this.clickOnProductPresentation.emit(this.img) },
            h(IconBlock, { arr: this.img.icon })));
    }
    static get is() { return "s-abdullakh-product-presentation-img"; }
    static get originalStyleUrls() { return {
        "$": ["s-abdullakh-product-presentation-img.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-abdullakh-product-presentation-img.css"]
    }; }
    static get properties() { return {
        "img": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u043C\u0430\u0441\u0441\u0438\u0432 \u0434\u043B\u044F \u0432\u044B\u0432\u043E\u0434\u0430 url img \u0432 \u043A\u043E\u043C\u043F\u043E\u043D\u0435\u043D\u0435\u0442\u0435 ProductPresentationImg"
            },
            "attribute": "img",
            "reflect": false
        }
    }; }
    static get events() { return [{
            "method": "clickOnProductPresentation",
            "name": "clickOnProductPresentation",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u043A\u043B\u0438\u043A \u043F\u043E \u044D\u043B\u0435\u043C\u0435\u043D\u0442\u0430\u043C \u043F\u043E\u0434\u043A\u043E\u043C\u043F\u043E\u043D\u0435\u043D\u0442\u0430 ProductPresentationImg \u043A\u043E\u043C\u043F\u043E\u043D\u0435\u043D\u0442\u0430 ProductPresentation"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
/*
* компонентная функция для вывода картинок-иконок в product-presentation-img
 */
const IconBlock = (props) => {
    return props.arr.map((item) => {
        return (h("div", { class: iconClass(item.id), style: { backgroundImage: "url(" + item.img + ")" } }));
    });
};
/*
* функция присваивания класса для вывода картинки иконки
 */
function iconClass(x) {
    switch (x) {
        case 'whatsApp':
            return 'whats';
        case 'telegram':
            return 'telega';
        case 'viber':
            return 'vider';
        case 'mes':
            return 'messgs';
        case 'vk':
            return 'vk';
    }
}
